For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList all detects
      • POSTCreate deepfake detection
      • GETGet deepfake detection result
      • POSTCreate a batch deepfake detection job
      • GETGet batch status
Status
LogoLogo
API ReferenceDeepfake Detection

Get deepfake detection result

GET
https://app.resemble.ai/api/v2/detect/:uuid
GET
/api/v2/detect/:uuid
$curl https://app.resemble.ai/api/v2/detect/uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "media_type": "audio",
6 "status": "processing",
7 "metrics": {
8 "label": "fake",
9 "score": [
10 "0.9",
11 "0.8",
12 "0.7"
13 ],
14 "consistency": "0.85",
15 "aggregated_score": "0.566",
16 "image": "https://storage.example.com/heatmap.png"
17 },
18 "image_metrics": {
19 "type": "facial",
20 "label": "fake",
21 "image": "https://storage.example.com/image.png",
22 "score": 0.9,
23 "children": [
24 {}
25 ]
26 },
27 "video_metrics": {
28 "label": "Fake",
29 "score": 0.9,
30 "certainty": 0.9,
31 "children": [
32 {
33 "type": "VideoResult",
34 "conclusion": "Fake",
35 "score": 0.99,
36 "certainty": 0.9,
37 "certainty (%)": "90%",
38 "children": [
39 {
40 "type": "ImageResult",
41 "conclusion": "Fake",
42 "score": 0.9,
43 "certainty": 0.95,
44 "certainty (%)": "95%",
45 "timestamp": 0.23,
46 "children": [
47 {
48 "type": "Segment",
49 "conclusion": "Fake",
50 "score": 0.9,
51 "certainty": 0.995,
52 "certainty (%)": "99.5%"
53 }
54 ]
55 }
56 ]
57 }
58 ],
59 "treeview": "string"
60 },
61 "audio_source_tracing": {
62 "label": "string",
63 "error_message": "string"
64 },
65 "intelligence": {
66 "uuid": "string",
67 "description": "string",
68 "created_at": "2024-01-15T09:30:00Z"
69 },
70 "url": "string",
71 "audio_url": "string",
72 "filename": "string",
73 "duration": 1.1,
74 "zero_retention_mode": true,
75 "file_deleted_at": "2024-01-15T09:30:00Z",
76 "created_at": "2024-01-15T09:30:00Z",
77 "updated_at": "2024-01-15T09:30:00Z"
78 }
79}
Get deepfake detection result by UUID
Was this page helpful?
Previous

Create a batch deepfake detection job

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequired
The UUID of the detect object

Response

Detection result
successboolean
itemobject

Errors

404
Not Found Error